Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Allows the client to authenticate itself with the API using a username and password. If authentication succeeds, a JSON Web Token (or JWT) is returned to the client. This token can be used as a Bearer token in subsequent calls to the API. It needs to be refreshed before it expires.

HTTP request

POST /Agent/Account/Login

Authentication

No authentication required.

Request (JSON)

{
	"userName": Required(Str(PUserName)),
	"password": Required(Str(PPassword)),
	"seconds": Required(Int(0 < PSeconds <= 3600))
}

Input parameters

ParameterDescription
PUserNameUser name of the account.
PPasswordPassword of the account.
PSecondsRequested number of seconds before the JWT token that will be issued expires.

Response (JSON)

{
	"jwt": Required(Str(PJwt)),
	"expires": Required(DateTime(PExpires))
}

Response parameters

ParameterDescription
PJwtA token representing the login to the account. This token is sent as a Bearer token in requests requiring authentication.
PExpiresWhen the JWT token expires. The token needs to be renewed before this token expires, if the client wishes to maintain the connection. After the token expires, the client needs to log in again.

Notes

This endpoint uses the request schema notation described in Pattern matching.